## visad.cluster
Class ShadowNodeSetTypeJ3D

    java.lang.Object
      visad.ShadowType
          visad.java3d.ShadowTypeJ3D
              visad.java3d.ShadowFunctionOrSetTypeJ3D
                  visad.java3d.ShadowSetTypeJ3D
                      visad.cluster.ShadowNodeSetTypeJ3D

All Implemented Interfaces:
  Serializable

public class ShadowNodeSetTypeJ3D
extends ShadowSetTypeJ3D

The ShadowNodeSetTypeJ3D class shadows the SetType class for NodeRendererJ3D, within a DataDisplayLink, under Java3D.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.java3d.ShadowFunctionOrSetTypeJ3D
``

Fields inherited from class visad.java3d.ShadowTypeJ3D
``

Fields inherited from class visad.ShadowType
`LEGAL, METERS_PER_DEGREE, NESTED, NOTHING_MAPPED, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE`

Constructor Summary
`ShadowNodeSetTypeJ3D(MathType t, DataDisplayLink link, ShadowType parent)`

Method Summary
`boolean` `addToGroup(Object group, VisADGeometryArray array, GraphicsModeControl mode, float constant_alpha, float[] constant_color)`

Methods inherited from class visad.java3d.ShadowFunctionOrSetTypeJ3D
`addSwitch, addToGroup, addToSwitch, adjustZ, doTransform, getDomain, getRange, getTextMaps, makeBranch, makeGeometrys, makeSwitch, makeVisADGeometrys, postProcess, preProcess, recurseRange, setTex3DCoords, setTexCoords, setTexStackCoords, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureToGroup, textureWidth, wantIndexed`

Methods inherited from class visad.java3d.ShadowTypeJ3D

`addLabelsToGroup, addTextToGroup, allowConstantColorSurfaces, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, checkIndices, ensureNotEmpty, ensureNotEmpty, getAdaptedParent, getAdaptedShadowType, getComponents, getData, getDisplay, getDisplayIndices, getLevelOfDifficulty, getMappedDisplayScalar, getMultipleDisplayScalar, getParentText, getParentTextControl, getType, getValueIndices, makeAppearance, makeContour, makeFlow, makePointGeometry, makeStreamline, makeText, mapValues, mapValues, mapValues, setText, staticMakeAppearance, terminalTupleOrScalar, toString`

Methods inherited from class visad.ShadowType

`adjustFlowToEarth, allowCurvedTexture, allowLinearContour, byteToFloat, floatToByte, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponentWithRef, getCurvedTexture, getDefaultColorIndex, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLink, getMultipleSpatialDisplayScalar, getRefToComponent, makePointGeometry, makeSpatialSet, recurseComponent, terminalTupleOrScalar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowNodeSetTypeJ3D

    public ShadowNodeSetTypeJ3D(MathType t,
                                DataDisplayLink link,
                                ShadowType parent)
                         throws VisADException,
                                RemoteException

Method Detail

### addToGroup

    public boolean addToGroup(Object group,
                              VisADGeometryArray array,
                              GraphicsModeControl mode,
                              float constant_alpha,
                              float[] constant_color)
                       throws VisADException

  Overrides:
    `addToGroup` in class `ShadowTypeJ3D`
  Throws:
    `VisADException`